about summary refs log tree commit diff
path: root/tests/simple.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/simple.sh')
-rw-r--r--tests/simple.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/simple.sh b/tests/simple.sh
new file mode 100644
index 000000000000..68da000d19f4
--- /dev/null
+++ b/tests/simple.sh
@@ -0,0 +1,10 @@
+storeExpr=$($TOP/src/nix-instantiate/nix-instantiate simple.nix)
+
+echo "store expr is $storeExpr"
+
+outPath=$($TOP/src/nix-store/nix-store -qnfvvvvv "$storeExpr")
+
+echo "output path is $outPath"
+
+text=$(cat "$outPath"/hello)
+if test "$text" != "Hello World!"; then exit 1; fi